﻿
/*--- --------------------------------------------------  Color  -------------------------------------- */
:root {
    --color-borde-tarjeta: #E7E7E7;
    --color-hr-tarjeta: #C9CCCC;
    --color-Appbar-Claro: #23B6C3;
    --color-Appbar-Oscuro: #006E78;
    --color-fondo-gris: #F6F6F6;
    /*COLOR MENÚ: var(--mud-palette-drawer-background);*/
}

.primary-lighten {
    background-color: var(--mud-primary-lighten);
    color: var(--mud-primary-lighten-contrast-text);
}

.primary-darken {
    background-color: var(--mud-primary-darken);
    color: var(--mud-primary-darken-contrast-text);
}

.secondary-lighten {
    background-color: var(--mud-secondary-lighten);
    color: var(--mud-secondary-lighten-contrast-text);
}

.secondary-darken {
    background-color: var(--mud-secondary-darken);
    color: var(--mud-secondary-darken-contrast-text);
}

.tertiary-lighten {
    background-color: var(--mud-tertiary-lighten);
    color: var(--mud-tertiary-lighten-contrast-text);
}

.tertiary-darken {
    background-color: var(--mud-tertiary-darken);
    color: var(--mud-tertiary-darken-contrast-text);
}

.success-color {
    background-color: var(--mud-palette-success);
    color: var(--mud-palette-success-text);
}

.error-color {
    background-color: var(--mud-palette-error);
    color: var(--mud-palette-error-text);
}

.degradado-appbar {
    background: linear-gradient(90deg, var(--color-Appbar-Oscuro) 9.83%, var(--color-Appbar-Claro) 89.5%);
}

.color-sombreado {
    /*color iconos cabeceras-tarjetas de inicio*/
    color: #C9CCCC;
}

.color-gris-oscuro {
    /*cabeceras inicio*/
    color: #535252;
}

.color-gris-fondo {
    background: var(--color-fondo-gris);
}


/*--- --------------------------------------------------  Typography  -------------------------------------- */
h1 {
    margin: 0px 0px 4px;
    /*font-family: "-apple - system", "BlinkMacSystemFont", "Segoe UI", "Roboto", "Helvetica Neue", "Arial", "sans - serif", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";*/
    font-size: 2rem;
    font-weight: 500;
    line-height: 1.0;
    text-transform: none;
    align-self: start;
}

h2 {
    /*MAYUSCULA none*/
    margin: 0px 0px 13px;
    /*font-family: "-apple - system", "BlinkMacSystemFont", "Segoe UI", "Roboto", "Helvetica Neue", "Arial", "sans - serif", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";*/
    font-size: 1.8rem;
    font-weight: 500;
    line-height: 1.0;
    text-transform: none;
    align-self: start;
}

h3 {
    font-size: 1.2rem;
    font-weight: 500;
    margin: 0;
}
/* --- ----------------------------------------------- TEXT -------------------------------------------*/
.multiline-text {
    white-space: pre-line;
}


/* --- --------------------------------------------------  HR -------------------------------------- */
hr:not([size]).underlined {
    /* linea subrayado horas */
    height: 1px;
    width: 40px;
    color: black;
    margin: 0px;
}

/* --- -------------------------------------------------- BOTONES ------------------------------------- */


.mud-button.generic-button {
    border-radius: 50px;
    padding: 1px 12px;
}

@media only screen and (max-width : 700px) {
    .mud-button.generic-button {
        padding: 6px 16px;
    }
}

/* --- -------------------------------------------------- AVISO ---------------------------------------*/


.warning_box {
    text-align: center;
    background-color: #FEFBDC;
    border: 1px solid #E3E0C4;
}
/* --- --------------------------------------------------  PROGRESO DE CARGA (INDEX) -------------------------------------- */
.spinner {
    border: 4px solid rgba(0, 0, 0, 0.1);
    width: 36px;
    height: 36px;
    border-radius: 50%;
    border-left-color: dimgrey;
    animation: spin 1s ease infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
/* --- --------------------------------------------------  DIALOG -------------------------------------- */
.mud-dialog-width-sm {
    max-width: 600px;
    min-width: 350px;
}

.mud-dialog .mud-dialog-title {
    padding: 10px 24px;
}

@media only screen and (min-width : 700px) {
    .dialog-gradient-parte {
        /*desde la izq, a partir del 40% cambia al segundo color*/
        background: linear-gradient(to right,white 65%,#F6F6F6 65%);
    }

    #div50 {
        width: 50%;
    }
}

/* --- ------------------------------------------------- PIN --------------------------------------------------*/

.pin .mud-rating-root {
    /*Diseño círculos selectores del pin*/
    width: 100%;
    justify-content: space-between;
}

/* --- -------------------------------------------------- APPBAR ----------------------------------------------*/
@media only screen and (max-width : 700px) {
    .appbar-custom.mud-appbar {
        background-color: var(--mud-palette-drawer-background);
    }
}
/* --- --------------------------------------------------  MENÚ LATERAL  -------------------------------------- */
/*color menú seleccionado en MainLayout: var(--mud-palette-drawer-background);*/

.menuLateral {
    /*Padding top de menú lateral*/
    Padding-top: calc(var(--mud-appbar-height) - 22px);
}

    .menuLateral .logo {
        /*logo menú lateral*/
        margin-top: 10px;
        margin-bottom: 35px;
        padding-left: 16px;
    }

    .menuLateral .logoPlegado {
        /*logo menú lateral plegado*/
        margin-bottom: 35px;
        padding-left: 8px;
    }

    .menuLateral .mud-nav-link:hover:not(.mud-nav-link-disabled) {
        /*enlace hover*/
        color: white;
        background-color: var(--mud-palette-action-default-hover);
    }

    .menuLateral .mud-navmenu.mud-navmenu-default .mud-nav-link.active:not(.mud-nav-link-disabled) {
        /*enalace activo*/
        color: inherit;
        background-color: rgb(245 244 244 / 16%);
    }

.mud-navmenu.mud-navmenu-default .mud-nav-link.active:not(.mud-nav-link-disabled):hover:not(.mud-nav-link-disabled), .mud-navmenu.mud-navmenu-default .mud-nav-link.active:not(.mud-nav-link-disabled):focus-visible:not(.mud-nav-link-disabled) {
    /*enlace activo y hover*/
    background-color: var(--mud-palette-action-default-hover);
}

.menuLateral .mud-nav-group * .mud-navmenu .mud-nav-item .mud-nav-link {
    /*enlace hijo de grupo*/
    background-color: rgb(245 244 244 / 6%);
}

    .menuLateral .mud-nav-group * .mud-navmenu .mud-nav-item .mud-nav-link:hover:not(.mud-nav-link-disabled) {
        /*enlace hijo de grupo con hover*/
        background-color: var(--mud-palette-action-default-hover);
    }

.menuLateral .mud-nav-group .mud-nav-link:focus:not(.mud-nav-link-disabled) {
    /*enlace título grupo con foco*/
    background-color: rgb(245 244 244 / 6%);
}

.menuLateral .mud-nav-link.mud-ripple.mud-expanded {
    /*enlace título grupo expandido y sin especificar foco */
    background-color: rgb(245 244 244 / 6%);
}

.menuLateral .mud-navmenu.mud-navmenu-default .mud-nav-link-expand-icon.mud-transform {
    /*icono desplegable desplegado*/
    fill: var(--mud-palette-drawer-icon);
    opacity: 50%;
}
/* --- --------------------------------------------------  Tarjetas inicio -----------------------------------------*/
.tarjeta-inicio .pin {
    height: calc(100vh - 11.781rem); /*total pantalla vertical menos el espacio ocupado por el resto (Appbar, textos y paddings)*/
}

.tarjeta-inicio {
    /*height: 24rem;*/
    width: 100%;
    border: solid 1px var(--color-borde-tarjeta);
}

.tarjeta-doble.contenido-tarjeta {
    padding: 24px;
    height: 20rem;
}

@media only screen and (max-width : 700px) {
    .tarjeta-doble.contenido-tarjeta {
        padding: 24px;
        height: fit-content;
    }
}

.cabecera-tarjeta {
    padding: 12px 24px;
    margin-right: 4px;
    display: flex;
    align-content: center;
    gap: 8px;
}

.contenido-tarjeta {
    padding: 24px;
    height: 20rem;
    overflow: scroll;
}

.icono-reloj-mensual {
    margin-right: 5px;
    opacity: 0.8;
}

hr:not([size]).hr-tarjeta-doble {
    border-left: 1px solid var(--color-hr-tarjeta);
    height: 80%;
}

@media only screen and (max-width : 700px) {
    hr:not([size]).hr-tarjeta-doble {
        height: 1px;
        width: 80%;
        color: var(--color-hr-tarjeta);
    }
}
/* --- --------------------------------------------------  Formulario perfil -------------------------------------- */

.formPerfil .mud-input > input.mud-input-root.mud-input-root-filled, div.mud-input-slot.mud-input-root.mud-input-root-filled {
    /*paging cajas de texto lines1 */
    padding: 3px 8px;
}


.formPerfil .mud-input.mud-input-filled.mud-input-adorned-end {
    /*radius selector*/
    border-radius: 0px;
}

.avatar .mud-badge.mud-badge-bottom.right.mud-badge-overlap {
    /*badge editar avatar*/
    inset: calc(100% - 20px) auto auto calc(100% - 20px);
}

.avatar .mud-badge.mud-badge-icon {
    /*badge editar avatar*/
    width: 22px;
    height: 22px;
}

.avatar .mud-badge.mud-badge-bordered.mud-badge-icon {
    /*badge editar avatar*/
    padding: 4.5px 7.4px;
}

.avatar .mud-badge.mud-badge-default {
    /*badge editar avatar*/
    color: white;
    background-color: var(--mud-palette-grey-light);
}

.avatar .mud-badge {
    /*badge editar avatar*/
    border-radius: 30px;
}

.selectSmall .mud-input > input.mud-input-root.mud-input-root-filled.mud-input-root-adorned-end, div.mud-input-slot.mud-input-root.mud-input-root-filled.mud-input-root-adorned-end {
    /*padding alto del selector pais y provincia*/
    padding: 6px 12px 5px;
}


/* --- --------------------------------------------------  Formulario cuadrante dialog -------------------------------------- */


.formCuadrante .mud-input-control > .mud-input-control-input-container > div.mud-input.mud-input-text {
    /*margen campos selectores*/
    margin-top: 0px;
    padding-left: 4px;
    padding-right: 4px;
}

.formCuadrante .mud-input > input.mud-input-root, div.mud-input-slot.mud-input-root {
    padding-top: 0px;
}

.campoWhite .mud-input-control > .mud-input-control-input-container > div.mud-input.mud-input-text {
    /*color campos seleccionables*/ /*en desuso*/
    background-color: white;
}

.campoGris .mud-input-control > .mud-input-control-input-container > div.mud-input.mud-input-text {
    /*color campos seleccionables*/ /*en desuso*/
    background-color: white;
}
/* --- -------------------------------------------Formulario Solicitación ausencias ----------------------------- */
.sinMargenLeft .mud-icon-button {
    padding-left: 0px;
}

.selectorAlto .mud-input-control > .mud-input-control-input-container > div.mud-input.mud-input-text {
    padding-bottom: 4px;
}
/* --- --------------------------------------------------  Expansion Panel -------------------------------------- */
/*Cuadante*/
.expansionPanel .mud-expand-panel .mud-expand-panel-header {
    min-height: 0px;
    padding: 0;
}


/* --- --------------------------------------------------  button Parte -------------------------------------- */
@media only screen and (max-width : 700px) {
    .xsWhidth100 {
        width: 100%;
    }

    .xsHeight2rem {
        height: 2rem;
    }
}

/* --- ------------------------------------------------ EXPANSION PANEL ---------------------------------------*/

.dense-panel.mud-expand-panel .mud-expand-panel-header {
    padding: 8px 24px;
    min-height: 24px;
}

/* --- ----------------------------------------------- GRÁFICA BARRA HORIZONTAL ------------------------------*/
.barra {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 1.1rem;
    background-color: #f0f0f0;
}

.barra-seccion {
    height: 100%; /* La sección ocupa toda la altura de la barra */
}

/* --- ----------------------------------------------- PARTE DE TRABAJO MOVIL  ------------------------------*/

.combobox-item-template {
    display: flex;
    align-items: center;
}

.combobox-item-template > img {
    border-radius: 20%;
    width: 4rem;
    height: 4rem;
}

img + .combobox-item-template-text {
    margin-left: 1rem;
}

.combobox-item-template-text {
    display: flex;
    flex-flow: column;
}

.combobox-item-template-employee-phone {
    opacity: 0.65;
}

.combobox-item-text-initial {
    border-radius: 20%;
    width: 4rem;
    height: 4rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.itemCapitulo {
    margin: 3px;
    padding: 10px;
    padding-left: 2px;
}

.tablaPartidas {
    border: solid;
    border-color: #ced4da;
    border-width: thin;
    margin: -1.0px !important;
}

.tablaPartidas-col-referencia {
    background-color: #2ABEA5;
    color: white;
}

.itemPartidaReferencia {
    background-color: #2ABEA5;
    color: white;
    border-radius: 5px;
    min-width: 64px;
    width: 64px;
    height: 64px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.itemPartidaDescripcion {
    margin-left: 12px;
}

.seleccionCentrosDescripcion {
    display: flex;
    align-self: center;
}

.inputFormulario {
    display: flex;
    align-items: end;
}
